%global pypi_name emoji

%global _description %{expand:
Full featured simple emoji library for Python. This project was
inspired by kyokomi.

The entire set of Emoji codes as defined by the unicode consortium is
supported in addition to a bunch of aliases. By default, only the
official list is enabled but doing emoji.emojize(use_aliases=True)
enables both the full list and aliases.}

Name: python-%{pypi_name}
Version: 2.8.0
Release:    1%{?dist}

License: BSD-3-Clause
Summary: Emoji library for Python
URL: https://pypi.python.org/pypi/%{pypi_name}
Source0: %{pypi_source %{pypi_name}}
BuildArch: noarch

BuildRequires: python3-devel
BuildRequires: python3-pytest

%description %_description

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst CHANGES.md

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.0-1
- initial build
